//
//  ApplMonitorController.h
//  GlowWorm
//
//  Created by Curtis Jones on 2006.12.22.
//  Copyright 2006 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "AM_ApplTableDataSource.h"


@interface ApplMonitorController : NSObject
{
	/* shell sub-menu stuff */
	NSMenu									* mMenuMainMenu;			//
	NSMenuItem							* mMenuMainItem;			// 
	NSMenuItem							* mMenuPrefsItem;			// show preferences window
	NSMenuItem							* mMenuRulesItem;			// show rules window
	NSMenuItem							* mMenuAboutItem;			// show about window
	
	/* nib components */
	IBOutlet NSWindow * mMainWin;									// monitor window
	IBOutlet NSWindow * mPrefWin;									// preferences window
	IBOutlet NSTableView * mMainTbl;							// application table
	IBOutlet NSTextField * mMainInfoTxt;					// summary text
	
	AM_ApplTableDataSource * mApplSrc;						// 
}

- (void)startup;
- (void)startupLoadRules;

@end
